function [x, y] = get_region_vertices(E, S, r, o);
%
%  function [x, y] = get_region_vertices(E, S, r);
%
%  This function takes a region number, the matrix of edges and the
%  springs, and the region number of interest
%
% Dr. A. I. Hanna (2005)
if nargin < 4
    o = [];
end
T=size(S,1);
if isempty(o)
    N=E(:,1:T);
    o = find(N(:,r)==1);
end
x=E(o,2*T+1);
y=E(o,2*T+2);
